package com.ruoyi.project.mapper;

import java.util.List;
import com.ruoyi.project.domain.BizProjectUser;

/**
 * 项目用户关联Mapper接口
 * 
 * @author ruoyi
 * @date 2025-08-28
 */
public interface BizProjectUserMapper 
{
    /**
     * 查询项目用户关联
     * 
     * @param id 项目用户关联主键
     * @return 项目用户关联
     */
    public BizProjectUser selectBizProjectUserById(Long id);

    /**
     * 查询项目用户关联列表
     * 
     * @param bizProjectUser 项目用户关联
     * @return 项目用户关联集合
     */
    public List<BizProjectUser> selectBizProjectUserList(BizProjectUser bizProjectUser);

    /**
     * 新增项目用户关联
     * 
     * @param bizProjectUser 项目用户关联
     * @return 结果
     */
    public int insertBizProjectUser(BizProjectUser bizProjectUser);

    /**
     * 修改项目用户关联
     * 
     * @param bizProjectUser 项目用户关联
     * @return 结果
     */
    public int updateBizProjectUser(BizProjectUser bizProjectUser);

    /**
     * 删除项目用户关联
     * 
     * @param id 项目用户关联主键
     * @return 结果
     */
    public int deleteBizProjectUserById(Long id);

    /**
     * 批量删除项目用户关联
     * 
     * @param ids 需要删除的项目用户关联主键集合
     * @return 结果
     */
    public int deleteBizProjectUserByIds(Long[] ids);

    /**
     * 根据项目ID和用户ID查询关联关系
     * @param projectId 项目ID
     * @param userId 用户ID
     * @return 项目用户关联
     */
    public BizProjectUser selectByProjectAndUser(Long projectId, Long userId);
}